package com.qmth.boot.core.ai.model.llm;

import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;

/**
 * 自动评分应用中按得分点构造的标答
 */
@Validated
public class StandardAnswer {

    @NotNull(message = "标答不能为空")
    private String content;

    private double score;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }
}
